import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Buckler(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 2,
                'pvMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'buckler',    # name
                parole.map.AsciiTile('0', colors['SaddleBrown']), # appearance
                2,          # weight (lbs)
                ['shield'],   # slot(s)
                2000,       # energy to wear
                bonuses)

#========================================
thingClass = Buckler
