import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Cap(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 1,
                'pvMod': 1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'cap',    # name
                parole.map.AsciiTile('[', colors['SaddleBrown']), # appearance
                1,          # weight (lbs)
                ['head'],   # slot(s)
                3000,       # energy to wear
                bonuses)

#========================================
thingClass = Cap
