import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Greaves(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': -1,
                'pvMod': 2,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of greaves',    # name
                parole.map.AsciiTile('[', colors['Sienna']), # appearance
                2,          # weight (lbs)
                ['legs'],   # slot
                5500,       # energy to wear
                bonuses)

#========================================
thingClass = Greaves


