import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Lamellar(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': -4,
                'pvMod': 9,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'lamellar suit',    # name
                parole.map.AsciiTile(']', colors['White']), # appearance
                28,          # weight (lbs)
                ['body'],   # slot
                20000,       # energy to wear
                bonuses)

#========================================
thingClass = Lamellar




