import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Robe(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 0,
                'pvMod': 3,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'robe',    # name
                parole.map.AsciiTile(']', colors['Sienna']), # appearance
                6,          # weight (lbs)
                ['body'],   # slot
                3500,       # energy to wear
                bonuses)

#========================================
thingClass = Robe


