import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Sallet(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 1,
                'pvMod': 3,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'sallet',    # name
                parole.map.AsciiTile('[', colors['Silver']), # appearance
                3,          # weight (lbs)
                ['head'],   # slot(s)
                4000,       # energy to wear
                bonuses)

#========================================
thingClass = Sallet

