import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Sandals(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 0,
                'pvMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of sandals',    # name
                parole.map.AsciiTile('[', colors['Yellow']), # appearance
                1,          # weight (lbs)
                ['feet'],   # slot(s)
                5000,       # energy to wear
                bonuses)

#========================================
thingClass = Sandals


