import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Scale(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': -2,
                'pvMod': 5,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'scale suit',    # name
                parole.map.AsciiTile(']', colors['Gray']), # appearance
                18,          # weight (lbs)
                ['body'],   # slot
                15000,       # energy to wear
                bonuses)

#========================================
thingClass = Scale



