import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class SmallShield(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 4,
                'pvMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'small shield',    # name
                parole.map.AsciiTile('0', colors['Gray']), # appearance
                5,          # weight (lbs)
                ['shield'],   # slot(s)
                4000,       # energy to wear
                bonuses)

#========================================
thingClass = SmallShield
