import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class VisoredHelm(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': -2,
                'pvMod': 4,
                'perceptionMod': -1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'visored helm',    # name
                parole.map.AsciiTile('[', colors['Black']), # appearance
                5,          # weight (lbs)
                ['head'],   # slot(s)
                5000,       # energy to wear
                bonuses)

#========================================
thingClass = VisoredHelm
