import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Lantern(sim.LightSource):
    def __init__(self):
        
        sim.LightSource.__init__(self,
                'lantern',     #name
                50,     # layer
                parole.map.AsciiTile('*', colors['White']),
                4,  # weight
                7000,   # light energy
                (255,255,255),  # light color
                1.5,    # light intensity
                60*60000)  # burn time

#========================================
thingClass = Lantern

