import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Torch(sim.LightSource):
    def __init__(self):
        
        sim.LightSource.__init__(self,
                'torch',     #name
                50,     # layer
                parole.map.AsciiTile('*', colors['Orange']),
                1,  # weight
                5000,   # light
                (255,255,255),  # light color
                0.85,    # light intensity
                30*60000)  # burn time

#========================================
thingClass = Torch
