import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Some shades refuse to accept their fate and in their delusion convince
themselves that they still live. Their incorporeality, however, leads to a
certain amount of cognitive dissonance. Flayed Spectres resolve this by
acquiring a new set of skin. The apparition floating before you wears a
leathery, cracked hide caked with brown blood. Its eyes flash with desire... you
seem to have caught its fancy...
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'flayed spectre',    # name
            parole.map.AsciiTile('Z', colors['PeachPuff']), # symbol, color
            15,  # str
            11, # dex
            11,  # con
            17, # per
            11, # spd
            5,  # level
            160, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'flagellate', # unarmed attack verb
            'crumple',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass



