import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Thonne secg under fenhleodhu secedh tha findedh scolde he Grendles cynne ond swa
scolde findedh deadhe swa se ellorgast, Grendles bearne, eorles bloddrincedh,
sinsnaedum swelgedh.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'grendlekin',    # name
            parole.map.AsciiTile('G', colors['Green']), # symbol, color
            11,  # str
            10, # dex
            7,  # con
            10, # per
            9, # spd
            2,  # level
            20, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'claw', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass

