import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Before you stands a pale, gaunt human figure with eyes that flash for a moment
with an unearthly hunger. Your gaze is drawn to its elongated and slender
fingers, which end in razor sharp nails. As your knees begin to buckle the
creature's parched lips curl into a smile revealing ivory fangs, and at that
moment you realize God is far, far away from this place that is about to be your
tomb...
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'nosferatu',    # name
            parole.map.AsciiTile('V', colors['White']), # symbol, color
            16,  # str
            16, # dex
            14,  # con
            17, # per
            11, # spd
            5,  # level
            160, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'drain', # unarmed attack verb
            'finally die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass


