import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'shadow',    # name
            parole.map.AsciiTile('S', colors['DimGray'], bg_rgb=colors['Black']), # symbol, color
            9,  # str
            9, # dex
            10,  # con
            10, # per
            11, # spd
            4,  # level
            80, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'shadow rape', # unarmed attack verb
            'disperse',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
        )

#========================================
thingClass = MonsterClass







