import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'spawn of Nyarlathotep',    # name
            parole.map.AsciiTile('N', colors['Black']), # symbol, color
            17,  # str
            17, # dex
            15,  # con
            17, # per
            17, # spd
            6,  # level
            320, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'envelope', # unarmed attack verb
            'explode',  # death verb
            False,    # leaves corpse?
            1000, # unarmed attack energy
        )

#========================================
thingClass = MonsterClass


