import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Peering ahead down the tunnel you discern two glowing red orbs burning with
animal rage. The moment your light falls on it, it's growl rises into a howl
that nearly ruptures your eardrums. Falling to all fours it rushes forward,
blood and saliva dripping from its maw. In the instant before it closes the gap
you see something else behind the fury in its eyes... It's pleading with you to
kill it?
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'werewolf',    # name
            parole.map.AsciiTile('W', colors['White']), # symbol, color
            16,  # str
            17, # dex
            11,  # con
            18, # per
            16, # spd
            3,  # level
            40, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'maul', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass





