import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main
from util import *

class Potion(sim.Potion):
    def __init__(self):
        sim.Potion.__init__(self, "speed", "!", colors['Green'])

    def quaff(self, quaffer):
        self.amount = random.randint(9,11)
        self.duration = 30000

        main.schedule(sim.Event('increase stat', main.schedule.time, (quaffer,
            'speed', self.amount), dests=[quaffer]))
        main.schedule(sim.Event('decrease stat', main.schedule.time +\
            self.duration, (quaffer, 'speed', self.amount), dests=[quaffer]))

#========================================
thingClass = Potion


