import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class BastardSword(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': -2,
                'damageSkewMod': +5,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'bastard sword',  # base name
                parole.map.AsciiTile(')', colors['Silver']), # symbol
                8, # weight
                1300, # wield energy
                1600, # attack energy
                120, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'slice', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = BastardSword
