import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class BroadSword(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': 0,
                'damageSkewMod': +3,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'broadsword',  # base name
                parole.map.AsciiTile(')', colors['Silver']), # symbol
                5, # weight
                1200, # wield energy
                1300, # attack energy
                70, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'slash', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = BroadSword
