import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Club(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': 0,
                'damageSkewMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'club',  # base name
                parole.map.AsciiTile('|', colors['SaddleBrown']), # symbol
                5, # weight
                1000, # wield energy
                1100, # attack energy
                60, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'club', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = Club

