import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Dagger(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +4,
                'damageSkewMod': -4,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'dagger',  # base name
                parole.map.AsciiTile('(', colors['Silver']), # symbol
                1, # weight
                800, # wield energy
                850, # attack energy
                30, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'stab', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = Dagger

