import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Dirk(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +2,
                'damageSkewMod': -2,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'dirk',  # base name
                parole.map.AsciiTile('(', colors['Silver']), # symbol
                3, # weight
                900, # wield energy
                950, # attack energy
                50, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'skewer', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = Dirk

