import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class LongSword(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +2,
                'damageSkewMod': +1,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'longsword',  # base name
                parole.map.AsciiTile(')', colors['Silver']), # symbol
                5, # weight
                1100, # wield energy
                1150, # attack energy
                60, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'slash', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = LongSword

