import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Maul(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': -4,
                'damageSkewMod': +10,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'maul',  # base name
                parole.map.AsciiTile('|', colors['Black']), # symbol
                10, # weight
                1400, # wield energy
                1750, # attack energy
                150, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'crush', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = Maul

