import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class QuarterStaff(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +1,
                'damageSkewMod': +1,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'quarterstaff',  # base name
                parole.map.AsciiTile('|', colors['SaddleBrown']), # symbol
                5, # weight
                950, # wield energy
                1025, # attack energy
                50, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'thwack', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = QuarterStaff

