import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Sabre(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +6,
                'damageSkewMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'sabre',  # base name
                parole.map.AsciiTile(')', colors['Silver']), # symbol
                4, # weight
                850, # wield energy
                900, # attack energy
                50, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'slash', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = Sabre

