import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Whip(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +8,
                'damageSkewMod': -4,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'whip',  # base name
                parole.map.AsciiTile('~', colors['SaddleBrown']), # symbol
                2, # weight
                750, # wield energy
                750, # attack energy
                40, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'whip', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = Whip

