import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Boots(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 1,
                'pvMod': 1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of boots',    # name
                parole.map.AsciiTile('[', colors['SandyBrown']), # appearance
                2,          # weight (lbs)
                ['feet'],   # slot(s)
                6000,       # energy to wear
                bonuses)

#========================================
thingClass = Boots
