import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Bracers(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 0,
                'pvMod': 1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of bracers',    # name
                parole.map.AsciiTile('[', colors['Gold']), # appearance
                2,          # weight (lbs)
                ['arms'],   # slot(s)
                4500,       # energy to wear
                bonuses)

#========================================
thingClass = Bracers




