import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Cuirass(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': -8,
                'pvMod': 12,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'steel cuirass',    # name
                parole.map.AsciiTile(']', colors['Silver']), # appearance
                38,          # weight (lbs)
                ['body'],   # slot
                25000,       # energy to wear
                bonuses)

#========================================
thingClass = Cuirass
