import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Guantlets(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 0,
                'pvMod': 1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of guantlets',    # name
                parole.map.AsciiTile('[', colors['Silver']), # appearance
                1,          # weight (lbs)
                ['hands'],   # slot(s)
                5000,       # energy to wear
                bonuses)

#========================================
thingClass = Guantlets

