import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class HalfGreaves(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 0,
                'pvMod': 1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of half-greaves',    # name
                parole.map.AsciiTile('[', colors['SaddleBrown']), # appearance
                2,          # weight (lbs)
                ['legs'],   # slot
                5000,       # energy to wear
                bonuses)

#========================================
thingClass = HalfGreaves

