import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Pavise(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 16,
                'pvMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pavise',    # name
                parole.map.AsciiTile('0', colors['Black']), # appearance
                25,          # weight (lbs)
                ['shield'],   # slot(s)
                10000,       # energy to wear
                bonuses)

#========================================
thingClass = Pavise
