import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Shirt(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 2,
                'pvMod': 1,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'shirt',    # name
                parole.map.AsciiTile(']', colors['Gray']), # appearance
                1,          # weight (lbs)
                ['body'],   # slot
                3000,       # energy to wear
                bonuses)

#========================================
thingClass = Shirt

