import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class WristGuard(sim.Armor):
    def __init__(self):
        bonuses = {
                'evMod': 1,
                'pvMod': 0,
        }

        # TODO: depth, materials, etc.
        sim.Armor.__init__(self, 
                'pair of wristguards',    # name
                parole.map.AsciiTile('[', colors['SandyBrown']), # appearance
                1,          # weight (lbs)
                ['arms'],   # slot(s)
                4000,       # energy to wear
                bonuses)

#========================================
thingClass = WristGuard



