import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
The sun's rays have no hope of penetrating the subterranean depth that you
currently explore. Outside the dancing circle of your light, it is pitch black.
You gulp. You know what that means.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'grue',    # name
            parole.map.AsciiTile('g', colors['Black']), # symbol, color
            11,  # str
            9, # dex
            14,  # con
            10, # per
            9, # spd
            4,  # level
            80, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'grue', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass

