import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
A soft stirring sound... a yellow stain begins to spread across the walls... an
exhalation of strange, evil odors... at once, the vibration of flapping wings...
a great formless spreading blur of denser blackness... hell-wind; titan-blue;
black-wing; the three-lobed burning eye... It comes. "Azathoth have mercy."
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'Haunter of the Dark',    # name
            parole.map.AsciiTile('H', colors['Black']), # symbol, color
            19,  # str
            19, # dex
            16,  # con
            19, # per
            19, # spd
            7,  # level
            1000, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'physically and psychically rape', # unarmed attack verb
            'wails and dissipate',  # death verb
            False,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass



