import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
Something snickers in the darkness. You snap around in the direction the noise
came from only to see nothing. Turning around again you briefly see a red,
emaciated figure standing in the distance in front of you with curving talons
instead of fingers. In a flash it vanishes and reappears a few feet away on the
edge of your peripheral vision. The moment your eyes land on it, it vanishes
again. Moments later it snickers again, inches from your ear.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'Hidden',    # name
            parole.map.AsciiTile('H', colors['Blue']), # symbol, color
            9,  # str
            16, # dex
            8,  # con
            17, # per
            15, # spd
            3,  # level
            40, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'rend', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass




