import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'sigbin',    # name
            parole.map.AsciiTile('s', colors['Gold']), # symbol, color
            7,  # str
            14, # dex
            10,  # con
            10, # per
            16, # spd
            2,  # level
            20, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'shadow', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
        )

#========================================
thingClass = MonsterClass

