import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

description = \
"""
As you feel your way through the darkness, ice-blue eyes lock onto you. The
ghost of a powerful fallen warrior, Sword Wraiths have come to embrace their
fate. They see their unlife as a continuation of their past great deeds, and
envision themselves as on a quest of the utmost importance. Throughout the
centuries they weave an increasingly elaborate narrative around their frequently
cruel actions that makes sense only to themselves. You are a cruel despot, a
blasphemous necromancer, a murderous traitor... to the Sword Wraith you are all
of these things and more in its effort to give meaning to the absurd.
"""

class MonsterClass(sim.Monster):
    def __init__(self):
        sim.Monster.__init__(
            self,
            'sword wraith',    # name
            parole.map.AsciiTile('W', colors['Red']), # symbol, color
            16,  # str
            11, # dex
            11,  # con
            11, # per
            11, # spd
            5,  # level
            160, # xp value
            False, # name starts with vowel? i.e., use "an" instead of "a"
            [],  # equipment slots
            'slash', # unarmed attack verb
            'die',  # death verb
            True,    # leaves corpse?
            1000, # unarmed attack energy
            description,
        )

#========================================
thingClass = MonsterClass





