import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim, main, dungeon
from util import *

class Scroll(sim.Scroll):
    def __init__(self):
        sim.Scroll.__init__(self, "phasing", "?", colors['White'])

    def read(self, reader):
        destTile = dungeon.getRandomPlacementTile(main.mapFrame.getMap())
        main.schedule.add(sim.Event('translocate', main.schedule.time,
            (reader, (destTile.col, destTile.row)), dests=[reader]))

#========================================
thingClass = Scroll

