import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class Mace(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': -1,
                'damageSkewMod': +4,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'mace',  # base name
                parole.map.AsciiTile('|', colors['Silver']), # symbol
                6, # weight
                1300, # wield energy
                1400, # attack energy
                90, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'bash', # verb
                False   # startsVowel
            )

#========================================
thingClass = Mace

