import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class ShortSword(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': +3,
                'damageSkewMod': -3,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'shortsword',  # base name
                parole.map.AsciiTile('(', colors['Silver']), # symbol
                2, # weight
                850, # wield energy
                900, # attack energy
                40, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'slash', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = ShortSword

