import parole
from parole.colornames import colors
from parole.display import interpolateRGB
import pygame, random

import sim
from util import *

class WarAxe(sim.Weapon):
    def __init__(self):
        bonuses = {
                'hitMod': -1,
                'damageSkewMod': +5,
        }

        # TODO: depth, materials, etc.
        sim.Weapon.__init__(self, 
                'war axe',  # base name
                parole.map.AsciiTile('\\', colors['Silver']), # symbol
                9, # weight
                1300, # wield energy
                1500, # attack energy
                130, # maximum damage. a wielder with avg stats will average half
                    # this much damage
                bonuses,
                'hack', # verb
                False   # startsVowel
            )
    

#========================================
thingClass = WarAxe

